aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/sync-translations.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/sync-translations.sh b/scripts/sync-translations.sh
index 4becea6..7256f6e 100755
--- a/scripts/sync-translations.sh
+++ b/scripts/sync-translations.sh
@@ -7,3 +7,10 @@ set -x
./scripts/extract-translations.sh
./scripts/apply-translations.sh
+
+if [[ "${1:-}" = '--check' ]]; then
+ git diff --quiet || {
+ echo 'Translations are out of sync'
+ exit 1
+ }
+fi